<elements>
  <summary>
    <attribution license="cc4" from="Microsoft" modified="false" />
    <para>The <see cref="N:System.Data.Sql" /> namespace contains classes that support SQL Server-specific functionality.</para>
  </summary>
  <remarks>
    <attribution license="cc4" from="Microsoft" modified="false" />
    <para>For information about the functionality that the classes within this namespace support, see <format type="text/html"><a href="ddf1c83c-9d40-45e6-b04d-9828c6cbbfdc">Enumerating Instances of SQL Server</a></format> and <format type="text/html"><a href="0f0ba1a1-3180-4af8-87f7-c795dc8f8f55">Using Query Notifications</a></format>.</para>
    <block subset="none" type="note">
      <para>In beta releases of ADO.NET version 2.0, the <see cref="N:System.Data.Sql" /> namespace also contained classes for use with SQL Server common language runtime (CLR) integration. However, those classes have been moved into their own namespace, <see cref="N:Microsoft.SqlServer.Server" />. For more information about using SQL Server CLR integration, see <format type="text/html"><a href="c7a324c4-160d-44c2-b593-641af06eca61">Using SQL Server Common Language Runtime Integration</a></format>. </para>
    </block>
  </remarks>
  <class name="SqlDataSourceEnumerator" fullname="System.Data.Sql.SqlDataSourceEnumerator" assembly="System.Data">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Provides a mechanism for enumerating all available instances of SQL Server within the local network.</para>
    </summary>
    <remarks>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>The table returned by this method contains the following columns, all of which contain strings:</para>
      <list type="table">
        <listheader>
          <item>
            <term>
              <para>Column</para>
            </term>
            <description>
              <para>Description</para>
            </description>
          </item>
        </listheader>
        <item>
          <term>
            <para>ServerName</para>
          </term>
          <description>
            <para>Name of the server.</para>
          </description>
        </item>
        <item>
          <term>
            <para>InstanceName</para>
          </term>
          <description>
            <para>Name of the server instance. Blank if the server is running as the default instance.</para>
          </description>
        </item>
        <item>
          <term>
            <para>IsClustered</para>
          </term>
          <description>
            <para>Indicates whether the server is part of a cluster.</para>
          </description>
        </item>
        <item>
          <term>
            <para>Version</para>
          </term>
          <description>
            <para>Version of the server (8.00.x for SQL Server 2000, and 9.00.x for SQL Server 2005).</para>
          </description>
        </item>
      </list>
      <block subset="none" type="note">
        <para>Due to the nature of the mechanism used by <see cref="T:System.Data.Sql.SqlDataSourceEnumerator" /> to locate data sources on a network, the method will not always return a complete list of the available servers, and the list might not be the same on every call. If you plan to use this function to let users select a server from a list, make sure that you always also supply an option to type in a name that is not in the list, in case the server enumeration does not return all the available servers. In addition, this method may take a significant amount of time to execute, so be careful about calling it when performance is critical.</para>
      </block>
    </remarks>
  </class>
  <class name="SqlNotificationRequest" fullname="System.Data.Sql.SqlNotificationRequest" assembly="System.Data">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Represents a request for notification for a given command. </para>
    </summary>
    <remarks>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>If the default constructor is used to create a <see cref="T:System.Data.Sql.SqlNotificationRequest" /> object, that instance must have its <see cref="P:System.Data.Sql.SqlNotificationRequest.UserData" /> and <see cref="P:System.Data.Sql.SqlNotificationRequest.Options" /> properties initialized before assigning the object to a <see cref="T:System.Data.SqlClient.SqlCommand" /> object's <see cref="P:System.Data.SqlClient.SqlCommand.Notification" /> property. The default values used by the constructor are NULL (Nothing in Visual Basic) for the <see cref="P:System.Data.Sql.SqlNotificationRequest.UserData" />, an empty string for the <see cref="P:System.Data.Sql.SqlNotificationRequest.Options" />, and zero for the <see cref="P:System.Data.Sql.SqlNotificationRequest.Timeout" />.</para>
    </remarks>
  </class>
</elements>