<elements>
  <summary>
    <attribution license="cc4" from="Microsoft" modified="false" />
    <para>The System.Xml.Xsl namespace provides support for Extensible Stylesheet Transformation (XSLT) transforms. It supports the W3C XSL Transformations (XSLT) Version 1.0 Recommendation (www.w3.org/TR/xslt).</para>
  </summary>
  <remarks />
  <class name="IXsltContextFunction" fullname="System.Xml.Xsl.IXsltContextFunction" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Provides an interface to a given function defined in the Extensible Stylesheet Language for Transformations (XSLT) style sheet during runtime execution.</para>
    </summary>
    <remarks>To be added</remarks>
  </class>
  <class name="IXsltContextVariable" fullname="System.Xml.Xsl.IXsltContextVariable" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Provides an interface to a given variable that is defined in the style sheet during runtime execution.</para>
    </summary>
    <remarks>To be added</remarks>
  </class>
  <class name="XslCompiledTransform" fullname="System.Xml.Xsl.XslCompiledTransform" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Transforms XML data using an XSLT style sheet.</para>
    </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="XsltArgumentList" fullname="System.Xml.Xsl.XsltArgumentList" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Contains a variable number of arguments which are either XSLT parameters or extension objects.</para>
    </summary>
    <remarks>None.</remarks>
  </class>
  <class name="XsltCompileException" fullname="System.Xml.Xsl.XsltCompileException" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>The exception that is thrown by the Load method when an error is found in the XSLT style sheet.</para>
    </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="XsltContext" fullname="System.Xml.Xsl.XsltContext" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Encapsulates the current execution context of the Extensible Stylesheet Language for Transformations (XSLT) processor allowing XML Path Language (XPath) to resolve functions, parameters, and namespaces within XPath expressions.</para>
    </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="XsltException" fullname="System.Xml.Xsl.XsltException" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>The exception that is thrown when an error occurs while processing an XSLT transformation.</para>
    </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="XsltMessageEncounteredEventArgs" fullname="System.Xml.Xsl.XsltMessageEncounteredEventArgs" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Provides data for the <see cref="E:System.Xml.Xsl.XsltArgumentList.XsltMessageEncountered" /> event.</para>
    </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="XsltMessageEncounteredEventHandler" fullname="System.Xml.Xsl.XsltMessageEncounteredEventHandler" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Represents the method that will handle the <see cref="E:System.Xml.Xsl.XsltArgumentList.XsltMessageEncountered" /> event.</para>
    </summary>
    <remarks />
  </class>
  <class name="XslTransform" fullname="System.Xml.Xsl.XslTransform" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Transforms XML data using an Extensible Stylesheet Language for Transformations (XSLT) style sheet.</para>
    </summary>
    <remarks>To be added.</remarks>
  </class>
  <class name="XsltSettings" fullname="System.Xml.Xsl.XsltSettings" assembly="System.Xml">
    <summary>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>Specifies the XSLT features to support during execution of the XSLT style sheet.</para>
    </summary>
    <remarks>
      <attribution license="cc4" from="Microsoft" modified="false" />
      <para>The new <see cref="T:System.Xml.Xsl.XsltSettings" /> object does not support the XSLT document() function or embedded script blocks.</para>
      <block subset="none" type="note">
        <para>XSLT scripting should be enabled only if you require script support and you are working in a fully trusted environment. If you enable the document() function, you can restrict the resources that can be accessed by passing an <see cref="T:System.Xml.XmlSecureResolver" /> object to the <see cref="Overload:System.Xml.Xsl.XslCompiledTransform.Transform" /> method.</para>
      </block>
    </remarks>
  </class>
</elements>